• 0

    posted a message on Risugami's Mods - Updated.
    Quote from lierox90

    Hi, i have problem with Recipe Book mod, when i try to craft book it disappears from crafting about 1 sec after i place all materials, but if im quick enought to "loot" it i have "End of Stream" error and got dced from server :/


    The server you are connecting to does not have Recipe Book mod installed so when you craft it on your client the client makes it and informs the server which has no clue what it is and it removes the unknown object. Servers and clients have to match.
    Posted in: Minecraft Mods
  • 0

    posted a message on Risugami's Mods - Updated.
    Found a problem.

    Modloader loads the mod from the <gameDIR>version\<VERSION>\mods file which is incorrect since gameDIR\version does not exist in the newly created directory. It should only load from .minecraft\version\<VERSION>\mods. It took me a bit to figure out why my mods were not being loaded when I created a new game directory. I had to recreate the path in the new game directory to have it load. Can we please get this fixed?
    Posted in: Minecraft Mods
  • 0

    posted a message on [1.6.4 / 1.6.2] MamiyaOtaru's Mods (VoxelMap, ChatBubbles, etc)
    Well I finally had to go back and double check everything I could, and I found out a couple if interesting things. I was using a version that only had ModLoader and chatbubbles installed.

    Modloader loads the mod from the <gameDIR>version\<VERSION>\mods file which is incorrect. I will be posting on their thread to inform them. It should only load from .minecraft\version\<VERSION>\mods. I know not your problem but just a FYI for when other users have problems.

    Some things I found which you may want to fix is:
    1 There is no chatbubbles directory created in the <gameDIR>/mods folder so the customRegexes.txt file could not be created and an error is produced. Once I created the directory it seems to work without any problems.
    2 I could not create a line in it for 127.0.0.1 and have it work, it used the default rules no mater what I tried, at least that is what the following leads me to believe
    Client> <dannyrjohnston> Test
    Client> check 1 A
    Client> check 1 B
    Client> check 1 C
    Client> check 1 D
    Client> check 1 F

    3 I never saw a chatbubble for my own player in SSP I don't know if this is on purpose or not.
    4 The output from the mod produces a lot of extra data in the logfile. A way of controlling the debug level this would be nice.

    A couple of questions:
    1 Does the color codes like "§f" get passed to the regexp or do you strip it out first? If you don't maybe you should unless the text in the bubbles is colored.
    2 Can the regexp have spaces in them, escaped or otherwise?

    Thanks for your help.
    Posted in: Minecraft Mods
  • 0

    posted a message on [1.6.4 / 1.6.2] MamiyaOtaru's Mods (VoxelMap, ChatBubbles, etc)
    Quote from MamiyaOtaru

    chatbubbles requires modloader or forge.

    never had a problem connecting to a vanilla server with a forge client :-/


    Vanilla no problem. This is a bukit server (at least I think it is bukit) for skyblock that I am having issues with. Found a post on forges website that basically stated that it not their problem. I will have to try modloader.

    Tried it and ChatBubbles is now loading but I am not seeing a chat bubble above my head in SSP.
    Should I see one?

    Going online and see if I see a difference.
    Posted in: Minecraft Mods
  • 0

    posted a message on [1.6.4 / 1.6.2] MamiyaOtaru's Mods (VoxelMap, ChatBubbles, etc)
    Ok, I know I'm doing this weird but it works for zenMap but I'm not seeing any chat bubbles.

    First I made a new version
    Renamed the files, changed the id.
    Removed the Meta-Inf folder

    Then added the following lines to the .jason file:
    { "name": "Mods.mamiyaotaru.chatbubbles:ChatBubbles:161" },
    { "name": "Mods.zan:zanMap:161d" },

    Created the following paths and moved the files into the librariesdirectory as follows:
    .minecraft\libraries\Mods\zan\zanMap\161d\zanMap-161d.jar
    .minecraft\libraries\Mods\mamiyaotaru\chatbubbles\ChatBubbles\161\ChatBubbles-161.jar

    Yes I renamed the files to jars and put a dash before the version number (It has to be that way for the launcher to load them)

    zanMap works fine. ChatBubbles seems to do nothing. Does it use a hook to initialize or something?
    I've tried it in SSP and see nothing and also tried it on a server that uses the chat format "[L][Hero]payten100: Hi"
    Still nothing.

    Any Ideas? And no using Forge is not an option. Can't get on the server with it installed.
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Well finally got it working. Thanks kiarules your explanation helped.

    Found out the following:
    You must have at least one dir path. (launcher gets confuesed if you don't)
    Order dependencys are as reversed.
    When adding to a jar Optifine must come after Forge.
    When adding to the jasonfile Forge must come after Optifine.
    If your mod replaces a base object you must still remove the META-INF dir from the jar.

    I'm sure there is more, but this is off the subject of this thread.
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from Mumfrey

    You don't need to merge anything into the jar any more, that's the whole point. Just put it in the libraries folder and and a library entry in the JSON file.


    Ok.... Well after I last posted I have been trying to modify the jason file to do this, So far no luck. I keep messing up the file somehow and breaking all of my versions. I will keep working on it and see if I can figure this out. An example of how it is done would have been nice.

    Quote from Mumfrey

    The directory in the profile is something done by Risugami which is kind of a crap idea for a number of reasons, neither myself nor CPW will be using this method.


    Crap Idea? I think having multiple datadiectorys is a nice idea. I notice you don't put any reasons why you think it is a crap idea, but I can name at least two for it not being a crap idea. Like the following:
    Loading a world with the wrong set of mods or version and loosing blocks. Been there done that it sucks.
    Having a seperate set of stats for a lets play. Seen multiple YouTubers do this.

    Perhaps you can enlighten us as to why being able to set up multiple data directorys is a crap idea?
    Posted in: Minecraft Mods
  • 0

    posted a message on LiteLoader
    Quote from Mumfrey

    Well it's not too complicated, basically each "version" contains a JSON file which defines the classpath, since all entries specified in that classpath have a higher priority than the base jar, it's a simple matter of including any edited base classes as libraries in the classpath.

    Base edits are still possible, you just no longer need to edit the jar to apply them. It's essentially the way that a lot of 3rd-party launchers have worked to date, except that now it's just supported "out of the box" by the stock launcher.

    LiteLoader is leveraging a slightly different new feature though in order to bootstrap early in the game's initialisation cycle without overriding any classes at all. This does cause a conflict with Forge ModLoader but I've been speaking to cpw so that we can make the loaders coexist without conflicting.


    OOOOOKKKKKKay.... you lost me there.

    I have been doing the following:
    copy the version/1.5.2 dir to version/1.5.2 Mod
    rename the 1.5.2.jar file to 1.5.2 Mod
    rename the 1.5.2.jason to 1.5.2 Mod.jason
    modifying the id in the jason file line to 1.5.2 Mod
    and then remove META-INF from the jar
    merge the Forge, Optifine and liteloader to the jar file.

    Could you give an example of how you would do this with the new launcher via the profile or jason file?


    Now for the original subject I was going to post.......
    Could you make lightloader for 1.5.2 and above use the directory given in the profile/cmd line.
    Right now it ignores it and still loads from the .minecraft/mods dir not the (directory in the profile)/mods.
    BTW FML has the same problem.
    Posted in: Minecraft Mods
  • 0

    posted a message on ChickenBones Mods
    First of all thank you TheMaestro42 for explaining what I was over looking, your explanation actualy made me understand unlike the others which were so brief. Also thanks for explaining about the versions and which ones will works with the others.

    Quote from TheMaestro42

    Since you can't seem to continue reading as soon as you see "Bukkit" there is a "-Server" just below the "-Client"s in the list. There is only one Bukkit verison. Which just happens to have a "-Bukkit" after it.


    It was not that I could not get past the file with Bukkit in it, It was the TWO headers. Sorry, but a header is followed by a body, even a empty one. When I saw the two headers one following the other I assumed that the first ones (NotEnoughItems and CodeChickenCore) had no entrys and all of the files after the second ones were for the Bukkit versions, not for both. I'm probably not the first to make this mistake and probably will not be the last. I have shown a couple of people the article and list and all of them had the same thought I did.

    Perhaps the two headers could be joined into one cell and have a " &
    " or "/
    " between them so others would not make the same mistake.
    Posted in: Minecraft Mods
  • 0

    posted a message on ChickenBones Mods
    Quote from MinecraftMan001

    Go on 'Old Versions' button and look for this: http://imageshack.us.../capture2ps.png


    If I wanted one that would work with a bukkit server that would work, but I don't! The bukkit version will not work properly with a normal server and all of the NEI mods for 1.2.5 (non bukkit) servers are missing, look at the line above where you took your snapshot. If I was only using it in SSP it would work but I will also be using it with a normal non buckkit server.

    I have an older version (1.2.2.2) but wanted to upgrade to the latest 1.2.5 minecraft compatable version which I beleve is NEI 1.2.2.4 to see if that would take care of a crash issue.
    Posted in: Minecraft Mods
  • 0

    posted a message on ChickenBones Mods
    Quote from MuadDib_1

    Look again, harder.


    Have you looked lately? I looked before I posted, I looked after you responded the first time, I looked just now. I still don't see it.

    This is what I saw, and what I still see.
    ...
    ChickenChunks-Server 1.0.0
    CodeChickenCore
    CodeChickenCore-Bukkit
    CodeChickenCore-Bukkit 0.5.3r3
    ...
    NEI_RedPowerPlugin 1.3
    NotEnoughItems
    NotEnoughItems-Bukkit
    NotEnoughItems-Bukkit 1.2.2.3r3
    ...

    BTW thanks for the spoiler tag... I didn't know about that.
    Posted in: Minecraft Mods
  • 0

    posted a message on ChickenBones Mods
    Quote from MuadDib_1

    Did you check the "old versions" link?


    Yep, CodeChickenCore has no entries nor does NotEnoughItems.
    Posted in: Minecraft Mods
  • 0

    posted a message on ChickenBones Mods
    A little problem. I'm using some mods that only work with minecraft 1.2.5. From the header you NEI still has a version for 1.2.5 minecraft but you nolonger have a download for it. I have an older version of NEI (1.2.2) and CCC (0.5.2) on another machine but I can't download the latest ones. Any way we can keep the NEI support for minecraft 1.2.5?
    Posted in: Minecraft Mods
  • 0

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from Sneckster

    I just started from scratch again and yet again I get the same result, a black screen and a log showing very little that I have to xkill to get rid of.

    Like I said though, I've just set up the snapshot in the default minecraft folder and use the normal launcher for it so no big deal.

    Sounds like you are running a unix type os. I'm on windows.
    Posted in: Minecraft Tools
  • 0

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from Sneckster

    Anyone else had any luck getting this to work with snapshots?

    I have a clean install in my .minecraft folder and can run the snapshot by renaming it minecraft.jar and not using the magiclauncher but no matter what I try on the magiclauncher I cannot get it to load.

    To start with I was getting a grey screen and the log was stopping at the lwjgl version, I updated my lwjgl to 2.8 and now I get a black screen... which I suppose is progress. I have tried it with and without Meta-Inf and as minecraft.jar and minecraft12w06a.jar

    For now I can easily just use the normal launcher for the snapshot and magiclauncher for actually playing the game so its not a problem really, just curious as to whats causing it.


    I had no problems doing this. I copied the minecraft.jar file that I downloaded into my .minecraft/bin folder as "minecraft snapshot 12w06a.jar". Created a new profile with the name 12w06a hit the select button and selected the jar file I wanted and was done. No problems what so ever.
    Posted in: Minecraft Tools
  • To post a comment, please or register a new account.